DewaVPS

Create instance

POST
/instance/create

Create a new virtual machine instance with the specified configuration.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.dewavps.com/v1/instance/create" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'hostname=string&username=string&password=string'
{
  "message": "Vm berhasil dibuat",
  "data": {
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "hostname": "string",
    "node_id": 0,
    "cpu": 0,
    "memory": 0,
    "storage": 0,
    "status": "string",
    "username": "string",
    "active_price_per_min": 0,
    "inactive_price_per_min": 0,
    "template_id": 0,
    "billing_id": 0,
    "customer_id": 0,
    "updated_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "id": 0
  }
}